CDCONTROL(1)

NAME
cdcontrol - compact disc control utility

SYNOPSIS
cdcontrol [-sv] [-f device] [command ...]

DESCRIPTION
The cdcontrol utility is a program to control audio features of a CD drive. The device is a name such as cd0 or acd0.

If no command is given, then cdcontrol enters an interactive mode, reading commands from the standard input.

The following options are available:

-s  Silent mode. Do not print table headers and human readable comments.

-v  Verbose mode. Print as much information as possible.

-f device
    Specify a device, such as /dev/cd0 or acd0. Both absolute path and relative to /dev filename are possible. The -f option overrides CDROM. If neither CDROM nor the -f option is specified, cdcontrol tries opening first /dev/cdrom, then /dev/cd0, and finally /dev/acd0.

The available commands are listed below. Only as many characters as are required to uniquely identify a command need be specified. The word play can be omitted or the characters + and - can be used in the place of next and prev.

play first_track [last_track]
    Play from track first_track to track last_track. The first track has number 1. Can be omitted in all cases.

    play start_m:start_s.start_f [end_m:end_s.end_f] Play from the absolute address (MSF) defined by start_m in minutes, start_s, in seconds and start_f (frame number) to the absolute address defined by end_m in minutes, end_s, in seconds and end_f (frame number). Minutes are in the range 0-99. Seconds are in the range 0-59. Frame numbers are in the range 0-74.

play [#start_block [length]]
    Play starting from the logical block start_block using length logical blocks.

next [tracks]
    Skip forward a number of tracks (default 1).

prev [tracks]
    Skip backward a number of tracks (default 1).

pause
    Stop playing. Do not stop the disc.

resume
    Resume playing. Used after the pause command.

stop
    Stop the disc.

eject
    Eject the disc.

close
    Inject the disc.

volume
    Same as status volume command.

volume level
    Set the volume of both channels to level. Allowed values are in the range 0-255.

volume left_channel right_channel
    Set the volume of left channel to left_channel and the volume of right channel to right_channel. Allowed values are in the range 0-255.

volume mute
    Turn the sound off.

volume mono
    Set the mono mode.

volume stereo
    Set the stereo mode.

volume left
    Play the left subtrack on both left and right channels.

volume right
    Play the right subtrack on both left and right channels.

info
    Print the table of contents.

status [audio | media | volume]
    Print the information about the disc:

    audio
        the current playing status and position
    media
        the current media catalog status
    volume
        the current values of the volume for left and right channels.

cdid
    Display the serial number of the CD using the method used by the CDDB project (http://www.cddb.org/).

help
    Print the list of available commands.

debug on
    Enable the debugging mode of the CD device driver.

debug off
    Disable the driver debugging mode.

reset
    Perform the hardware reset of the device.

set msf
    Set minute-second-frame ioctl mode (default).

set lba
    Set LBA ioctl mode.

speed s
    Set the highest speed that the drive should use for reading data. The units are multiples of a single speed CDROM (150 KB/s). Specify “max” to use the drive's fastest speed.

quit
    Quit the program.

ENVIRONMENT
The following environment variables affect the execution of cdcontrol:

CDROM
    The CD device to use, if one is not specified with the -f option.

CDPLAY, CD_DRIVE, DISC, MUSIC_CD
    These variables have been deprecated in favour of CDROM.

FILES
/dev/cd0
/dev/mcd0
/dev/acd0

HISTORY
The cdcontrol command appeared in FreeBSD 2.1.

AUTHORS
Jean-Marc Zucconi Andrey A. Chernov Serge V. Vakulenko